#
# Conditional build:
%bcond_with	tests	# do not perform "make test"

%define		pdir	Locale
%define		pnam	Codes
Summary:	Locale::Codes - a distribution of modules to handle locale codes
Summary(pl.UTF-8):	Locale::Codes - zbiór modułów do obsługi kodów lokalizacji
Name:		perl-Locale-Codes
Version:	3.63
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Locale/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	5c8e19b1157c28877de3bab6b99ee06b
URL:		https://metacpan.org/release/Locale-Codes
BuildRequires:	perl-ExtUtils-MakeMaker >= 6.30
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
%if %{with tests}
BuildRequires:	perl-File-Find-Rule
BuildRequires:	perl-Test-Inter >= 1.09
BuildRequires:	perl-Test-Pod
BuildRequires:	perl-Test-Pod-Coverage
BuildRequires:	perl-Test-Simple
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Locale::Codes contains five modules which can be used to process ISO
codes for identifying country, currency, language and script.

%description -l pl.UTF-8
Locale::Codes zawiera pięć modułów umożliwiających przetwarzanie
kodów ISO identyfikujących kraj, walutę, język i pismo.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{perl_vendorlib}/Locale/*.pod
%{__rm} $RPM_BUILD_ROOT%{perl_vendorlib}/Locale/Codes/*.pod

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes LICENSE README.first
%{perl_vendorlib}/Locale/Codes.pm
%dir %{perl_vendorlib}/Locale/Codes
%{perl_vendorlib}/Locale/Codes/*.pm
%{perl_vendorlib}/Locale/Country.pm
%{perl_vendorlib}/Locale/Currency.pm
%{perl_vendorlib}/Locale/Language.pm
%{perl_vendorlib}/Locale/Script.pm
%{_mandir}/man3/Locale::Codes*.3pm*
%{_mandir}/man3/Locale::Country.3pm*
%{_mandir}/man3/Locale::Currency.3pm*
%{_mandir}/man3/Locale::Language.3pm*
%{_mandir}/man3/Locale::Script.3pm*
%changelog
* Tue May 05 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Locale-Codes.git;a=log;h=master

* Tue May 05 2020 Jakub Bogusz <qboosh@pld-linux.org> 550ac0a
- updated to 3.63
- updated description

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> d6fbb5e
- drop obsolete and outdated manual inclusion of rpm macros

* Thu Dec 05 2019 Jan Rękorajski <baggins@pld-linux.org> 981b020
- added tests BRs but disabled tests due to test suite config being broken

* Thu Dec 05 2019 Jan Rękorajski <baggins@pld-linux.org> 92a2c14
- up to 3.62

* Tue Nov 25 2014 Elan Ruusamäe <glen@delfi.ee> 43a1ab9
- use generic url

* Thu Jan 31 2013 Sławomir Paszkiewicz <paszczus@pld-linux.org> 2039810
- added missing dir; rel 2

* Thu Jan 31 2013 Sławomir Paszkiewicz <paszczus@pld-linux.org> 357bc04
- updated to 3.24

* Mon Jul 28 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 55c2584
- release 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> fd57970
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> f228b21
- converted to UTF-8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 8e540bd
- formatting

* Fri Jun 11 2004 Adam Gołębiowski <adamg@pld-linux.org> 59ca0ef
- updated to 2.07

* Sat Jun 05 2004 radek <radek@pld-linux.org> b99d885
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

* Fri May 07 2004 ankry <ankry@pld-linux.org> dc6c1ae
- rel. 3

* Thu May 06 2004 ankry <ankry@pld-linux.org> 4201542
- fixed perl-devel BR

* Sun Apr 25 2004 ankry <ankry@pld-linux.org> d509cc1
- cosmetics: unification

* Thu Apr 22 2004 ankry <ankry@pld-linux.org> 16ef126
- license fixes & unification

* Wed Apr 21 2004 ankry <ankry@pld-linux.org> 088aeed
- ported to new bconds

* Wed Feb 18 2004 Jakub Bogusz <qboosh@pld-linux.org> d04d0bb
- s/no/nb/ in Summary langs

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> 6e7e266
- spaces -> tab

